/* viewer.css */

* { /*margin:0; padding:0;*/ -webkit-tap-highlight-color:rgba(0,0,0,0) }

/* reset video styles applied in uikit.css */
video {
  vertical-align: initial;
  max-width: none;
  height: auto;
  box-sizing: border-box;
}

#wrapper, #play-button, #video-busy, #container, #action-caption, #action-caption-description, #spinner, #videospinner, #wait, .slide-arrow-previous, .slide-arrow-next, .dialog-contactme, .dialog-messageme, .dialog-messagemesuccess, .dialog-details, .dialog-map, .dialog-share, .dialog-more, .dialog-calculator, .matterport  {display:none;}
#canvas, #container, #video, #overlay {top:0;left:0;}
#wrapper { z-index:0;}
#signimage { z-index:15; right:0px; }
#hudimage {
    left: 275px;
    height: 64px;
    bottom: 60px;
}
#canvas { border-top-width:0; z-index:1; } 
#spinner { background:url('/Content/Fusion/images/timer.png') no-repeat; height:16px; line-height:16px; width:16px; right:10px; top:10px; z-index:9; opacity:0.5;  }

#container { z-index:7; background:rgba(0,0,0,0.5); }
#video { z-index:8; }
#overlay { z-index:9; opacity:0.0; }
#video-spinner { opacity:0.0; }
#action-caption {z-index:10;}
#gallery-container {z-index:11;}
#splash {z-index:1000;}
#wait {z-index:14;}

#video-busy { background:url('/Content/Fusion/images/video_busy.png'); z-index:2; cursor:default; height:146px; left:50%; margin:-73px 0 0 -73px; text-indent:-9999px; top:50%; width:146px; background-repeat:no-repeat; opacity:0.5; }
#play-button { background:url('/Content/Fusion/images/playbutton.png'); z-index:2; cursor:pointer; height:128px; left:50%; margin:-73px 0 0 -73px; text-indent:-9999px; top:50%; width:128px; background-repeat:no-repeat; background-size:cover; }

.playbutton { display:none; }

.dialog-contactme, .dialog-messageme, .dialog-messagemesuccess, .dialog-details, .dialog-map, .dialog-share, .dialog-more, .dialog-calculator {background-color:#fff; overflow:auto;}
.dialog-contactme, .dialog-details, .dialog-map, .dialog-share, .dialog-more {z-index:100;}
.dialog-messageme, .dialog-calculator {z-index:101;}
.dialog-messagemesuccess {z-index:102;}

.noselect {-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;}

#action-caption-description {cursor:default; }

.description.uk-scrollable-box {
    padding: 0;
    border: 0;
}

label span { color:red; }

#videospinner { z-index:10;margin-top:-20px;}


/* UI styles */

html, body { overflow-y:hidden; }

body {font-family: 'Lato', sans-serif;}
body, .uk-h1, .uk-h2, .uk-h3 {line-height:1.2;}

a:hover, .uk-link:hover {text-decoration:none;}
.uk-panel-box {background-color:transparent;}
.uk-border-rounded {border-radius: 7px;}
.uk-overlay-background {background:rgba(0,0,0,0.75);}

.background-dark {background-color: #363636;}

.menu-desktop, html {background-color:#363636; z-index:900; }
.menu-desktop {overflow-wrap: break-word;}
.menuoptions li {border-bottom:1px solid #1e1e1e;}
.menuoptions li:first-child {border-top:1px solid #1e1e1e;}
.menuoptions li a {padding:15px;}
.menuoptions li a:hover, .menuoptions a.active {background-color:#434343;text-decoration:none;}
.menuoptions li a:after {
    content: "\f105";
    font-family: FontAwesome;
    right: 15px;
    float:right;
}

.mediacontainer, .gallery-panel {background-color:#1e1e1e;}

.captiondescription {padding:15px!important;}
.captiondescription {background: linear-gradient(to bottom, rgba(0,0,0,0.6) 0%,rgba(0,0,0,0.4) 60%,rgba(0,0,0,0) 100%);}

/* Gallery */
.gallery-panel {overflow-y:auto;}
#gallery {padding:5px 5px 60px;}
#gallery li {padding:5px;box-sizing:border-box;}
#gallery li a, #gallery img, #gallery .uk-overlay {width: 100%;}
#gallery li a { display: block;height:100%;}
#gallery .uk-overlay-panel {top:auto;z-index:2;padding:10px;}
#gallery .uk-overlay-background {background:rgba(0,0,0,0.5);}
.video-overlay-play {width: 75%!important;height: 75%!important;opacity: 0.75;}

.uk-overlay-panel.dialog-back-menu {color:#363636;background:#f5f5f5;border-bottom:1px solid #cdcdcd;position:fixed!important;top:0;}
.dialog-container {margin-top:65px;}
.gobackicon {width:16px;height:16px;}
.action-button-bottom {font-size:18px;text-transform:uppercase;padding:15px;}
.action-button-bottom:hover {color:#ddd;}

.mediabar-bottom {background-color:#1e1e1e;z-index:100;}
.mediabar-bottom a {padding:15px;width:24px;height:24px;}

.mediabar-bottom a.active-view {background-color:#363636;}

.brandingbar, .brandingbar-mobile {background:#2172b3; z-index:900; position:relative;}
.brandingbar-mobile {height:114px;padding:5px; z-index:900;}
.brandingbar-mobile img, .brandingbar-mobile .uk-slideshow {height:104px;width:auto;}
.brandingbar-mobile .uk-slideshow {width:104px;}
.brandingbar-mobile .uk-align-left {margin-right:10px;}

.poweredby {color:#7f8486; font-size:13px;}
.poweredby a {color:#7f8486; white-space: nowrap;}
.poweredby a:hover {color:#ddd;}

.slide-arrow-previous, .slide-arrow-next {top:43%;z-index:2;font-size:60px;}
.slide-arrow-previous {left:30px;}
.slide-arrow-next {right:30px;}

.uk-offcanvas-page {margin:0!important;width: 100% !important;}

.uk-overlay-background.captiondescription {
background: -moz-linear-gradient(top,  rgba(0,0,0,0.6) 0%, rgba(0,0,0,0.4) 60%, rgba(0,0,0,0) 100%);
background: -webkit-linear-gradient(top,  rgba(0,0,0,0.6) 0%,rgba(0,0,0,0.4) 60%,rgba(0,0,0,0) 100%);
background: linear-gradient(to bottom,  rgba(0,0,0,0.6) 0%,rgba(0,0,0,0.4) 60%,rgba(0,0,0,0) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6000000', endColorstr='#00000000',GradientType=0 );
    cursor: pointer;
}

input.action-button-bottom, .action-button-bottom {margin:15px!important;}

/*Contact Me Dialog*/
.contactme-info p {
    margin-left: 10px;
    width: 50%;
}
.contactme-info img {
    width: 110px;
    height: auto;
}
.contactme-social li {
    display: inline-block;
    margin-right: 20px;
    margin-bottom: 20px;
}
.contactme-social li:last-child {
    margin-right: 0;
}
.contactme-social img {
    width: 48px;
    height: 48px;
}

/* Message Me Success Dialog */
.uk-icon-circle.available {
    color: #6ebd60;
}

/* Map Dialog */
.mapcontainer {height:75%;}
#map-directions { display:none; }

/* IDX Details/Branding Bar */
.brandingbar.idx {
    background-color: #363636 !important;
}

.idx-details li {
    border-bottom: 1px solid #1e1e1e;
    padding: 20px 0;
}

.idx-details li img {
    width: 35%;
    height: auto;
}

@media screen and (min-width:1025px) and (max-width:1366px) {
    .uk-h2 {font-size:1.25em;line-height:1.2;}
    .uk-h3 {font-size:1.1em;line-height:1.2;}	
    .uk-slideshow.uk-margin-large-top {margin-top:15px!important;}
}

@media screen and (min-width:1440px) {
    .uk-h2 {font-size:1.75em;}
    .uk-h3 {font-size:1.3em;}
    .agentinfo .uk-margin-small-bottom {margin-bottom:15px!important;}
}

@media screen and (min-width:1025px) {
    .hidden-xlarge {display:none!important;}
}

@media screen and (max-width:1024px) {
    .video-overlay-play {width: 50%!important;height: 50%!important;opacity:0.5!important;}
}

@media screen and (min-width: 961px) and (max-width:1024px) {
    .hidden-large {display:none!important;}
    .mediacontainer {width:80%!important;}
    .brandingbar {width:20%!important;}
    .dialog-contactme, .dialog-messageme, .dialog-messagemesuccess, .dialog-details, .dialog-map, .dialog-share, .dialog-more, .dialog-calculator, .dialog-back-menu {width:100%!important;}
}

@media screen and (max-width: 960px) {
    .mediacontainer {position:absolute;bottom:0;}
}

@media screen and (max-width: 959px) {
    /* .mediacontainer {height:88.2%;} */
    .mediacontainer { position: absolute!important; bottom: 0; }
}

@media screen and (max-width: 414px) {
    body {line-height:1.2;}
    .brandingbar-mobile {height:80px;position:absolute;top:0;}
    .brandingbar-mobile img {height:66px;width:auto;}
    .branding-logo img, .branding-custom img {height:50px;}
    .brandingbar-mobile p {margin:0;font-size:14px;height:66px;overflow:hidden;}
    .branding-logo {text-align:right!important;}
    .mediacontainer {height:90%;position:absolute!important;bottom:0px;}
    .captiondescription {padding:10px!important;}
    .captiondescription .uk-h2 {font-size:18px;}
    .captiondescription .uk-h3 {font-size:16px;}
    .captiondescription .caption {padding-top:20px!important;}
    #signimage { z-index:8; right:0px; }
    .mediabar-bottom .uk-text-center {text-align: right!important;}
    .mediabar-bottom a {padding:10px 10px 14px;width:19px;height:19px;}
    input.action-button-bottom, .action-button-bottom {margin:0!important;}
    a.action-button-bottom {margin:0!important;position:fixed!important;bottom:0!important;left:0!important;right:0!important;z-index:200;}
    .gallery-panel {padding-top:15px;}
    input.uk-button {border-radius:0!important;}
    #spinner {right:5px;top:22px;}
    .uk-border-rounded {border-radius: 7px;}
    canvas {width:100%;} 
    #action-caption-icon {margin-top:10px!important;} 
    .branding-custom { text-align: right!important; } 
}

@media screen and (max-width:375px) {
    .menuoptions {font-size:0.65em;line-height:1.2;}
    .mediacontainer {height:88%;}
    .captiondescription .caption {padding-top:10px!important;}
}

@media screen and (max-width:360px) {
    .mediacontainer {height:86%;}
}
@media screen and (max-width:320px) {
    .mediacontainer {height:87%;}
}
@media screen and (max-height:414px) {
    .brandingbar-mobile {display:none!important;}
    .mediacontainer {height:100%;}
    .mediabar-bottom a {padding:5px;padding-bottom:10px;width:16px;height:16px;}
    .captiondescription .uk-margin-bottom {margin-bottom:0px!important;}
    .captiondescription p:first-child {margin-bottom:5px!important;}
    .uk-margin-large-bottom.data-address {margin-bottom:10px!important;}
    .action-button-bottom {width:50%;}
}

@media screen and (max-width: 960px) {
  .brandingbar-mobile.idx {display: none!important;}
  .mediacontainer.idx, #canvas.idx {height:100%!important;top:0!important;}
}

.brandingbar { z-index:999; }

@media screen and (max-width: 766px) {
    .branding-custom li {height:70px;text-align: right;}
    .branding-custom a {height:70px;}
    .branding-custom img {height:70px;width:auto;}
    .branding-custom .uk-cover-background.uk-position-cover, .branding-custom img {border-radius: 7px;}
}
